# libtraceevent(3) Manual Page

## NAME

tep_get_cpus, tep_set_cpus - Get / set the number of CPUs, which have a tracing buffer representing it. Note, the buffer may be empty.

## SYNOPSIS

    #include <event-parse.h>

    int tep_get_cpus(struct tep_handle *tep);
    void tep_set_cpus(struct tep_handle *tep, int cpus);

## DESCRIPTION

The tep_get_cpus() function gets the number of CPUs, which have a tracing buffer representing it. The tep argument is trace event parser context.

The tep_set_cpus() function sets the number of CPUs, which have a tracing buffer representing it. The tep argument is trace event parser context. The cpu argument is the number of CPUs with tracing data.

## RETURN VALUE

The tep_get_cpus() functions returns the number of CPUs, which have tracing data recorded.

## EXAMPLE

## FILES

    event-parse.h
            Header file to include in order to have access to the library APIs.
    -ltraceevent
            Linker switch to add when building a program that uses the library.

## SEE ALSO

libtraceevent(3), trace-cmd(1)

## AUTHOR

    Steven Rostedt <rostedt@goodmis.org>, author of libtraceevent.
    Tzvetomir Stoyanov <tz.stoyanov@gmail.com>, author of this man page.

## REPORTING BUGS

Report bugs to <linux-trace-devel@vger.kernel.org>

## LICENSE

libtraceevent is Free Software licensed under the GNU LGPL 2.1

## RESOURCES

https://git.kernel.org/pub/scm/libs/libtrace/libtraceevent.git/